import { useState } from 'react';

function App() {
  const [showDetails, setShowDetails] = useState(false);

  function showDetailsHandler() {
    setShowDetails(true);
  }

  return (
    <>
      <button onClick={showDetailsHandler}>Pokaż szczegóły</button>
      {showDetails && <p>Wyświetlane dopiero po kliknięciu przycisku!</p>}
    </>
  );
}

export default App;
